;"indexe.asm" Initiation aux modes d'adressages.
; Adressage "indexe". Lecture d'une table en mmoire.

;Equivalences
			include	RegPortsA1	;Adresse des quvalences registres

;Implantation du programme en RAM 
			org	$0010		;Implantation du programme

;Initialisation
			lds	#$00C0	;Implantation de la pile en RAM
			
;Programme principal
Debut		ldx	#Table		;Adresse de la table reg. index
Boucle		lda	0,x			;Adressage index
			sta	PORTB			;PortB=Valeur table
			bsr	Tp20ms		;Sous programme de temporisation
			cpx	#Table+31		;Si 31ieme valeur, alors 
			beq	Debut			;Retour en dbut de table 
			inx				;Sinon valeur suivante de la table
			bra	Boucle		;Rebouclage, valeur suivante table 
		
;Table
Table		fcb	1,2,4,8,16,32,64,128 			;Dcimal
			fcb	64,32,16,8,4,2,1,0
			fcb	$FF,$00,$FF,$00,$FF,$00,$FF,$00	;Hexa
			fcb	%10000001					;Binaire
			fcb	%01000010
			fcb	%00100100
			fcb	%00011000
			fcb	%00100100
			fcb	%01000010
			fcb	%10000001
			fcb	%00000000		

;Appel des fichiers sous programmes			
			include 	Tempos	;Temporisations
			
			end				;Fin du programme

;Remarque : pour voir les fichiers inclus : 	
;curseur sur le nom du fichier puis touche "Ctrl" et clic souris.		
