; "CanCna"      Programme ralisant la conversion A/N sur PE0            JC
;PORTE (PE0) pour la capture et PORTB pour l'affichage et la CNA (VDAC) 
;VDAC=VPE0. CNA\CAN : Quantum q=10mV, Pleine Echelle PE=2.55V(carte HC11ES)
;Equivalences
			include	RegPorts	;Registres des Ports
ADCTL		equ	$1030
ADR1		equ	$1031
OPTION		equ	$1039
CCF			equ	$80		;Bit de fin de conversion
;Initialisation			
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;Pile en RAM
			bset	OPTION,x $80	;Activation pompe de charge
;Programme principal	
Boucle		clr	ADCTL,x		;Ni multiplexage, ni balayage 
FinConv		brclr	ADCTL,x,CCF,FinConv	;Conversion A/D
			ldaa	ADR1
			staa	PORTB
			bra	Boucle
			end				;Fin du programme
