; "CtrPA0"              Programme compteur sur PA0                      JC
; On utilise l'indicateur "IC3F" du registre  de capture "TFLG1" du timer 
; qui passe  1  chaque front montant ou descendant de signal prsent 
; sur PA0. La variable TMP est incrmente  chaque fronts montants sur PA0
; PORTA pour la capture et PORTB pour l'affichage (carte HC11ES)
***************************************************************************
;Equivalences
			include	RegPorts	;Registres des Ports
TIC3		equ	$1014
TCTL2		equ	$1021
TFLG1		equ	$1023
IC3F		equ	$01
CaptFront		equ	$01

;Rservation des variables
			org	$0002	;Implantation des variables en RAM
Tmp			rmb	1
			;Capture sur le front montant
;Initialisation			
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;pile en RAM
			clr	Tmp	
			ldaa	#CaptFront  	;Choix du front de capture 
			staa	TCTL2
Boucle		ldaa	#IC3F			;Raz du drapeau IC3F
			staa	TFLG1	
			
;Programme principal
			ldx	#TFLG1
Front		brclr	0,X,IC3F,Front 	;Attente du front 
			inc 	Tmp			;Tmp=Tmp+1	
			ldaa	<Tmp
			staa	PORTB
			bra	Boucle		;Rebouclage 	
			
			end				;Fin du programme
