; "CtrSecondes"   Programme gnrant, comptant, la seconde              JC
; Ce programme permet de tester l'interruption (inter) en temps rel RTI
; Il utilise le sous programme d'interruption "InterSeconde"
; La variable "Secondes" est incrmente toutes les secondes.
; Le rsultat est affich : PORTB en Binaire (carte HC11ES) 
***************************************************************************
;Equivalences
			include	RegPorts	;Registres des Ports

;Rservation des variables	
			org	$0002 ;Implantation des variables en RAM
Secondes		rmb	1	;Variable des secondes
CtrInter		rmb	1	;Variable compteur d'interruptions

;Initialisation			
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;Pile en RAM
			lda	#OC1I
			sta	TMSK1			;Autorisation locale de inter RTI  
			cli				;   //        globale     //
			clr 	Secondes		;Raz des variables 

;Programme principal			
Boucle		ldaa	<Secondes		;Chargement de la variable Secondes	
			staa	PORTB			;PORTA=Secondes
			bra	Boucle		;Branchement en dbut de boucle 

;Appel des fichiers sous programme
			include	InterSeconde;Interruption, compteur de secondes 
		
;Vecteurs d'inter
			org	RtiJmp		;Pseudo vecteur de l'inter RTI	
			fcb	$7E			;Code "jmp" adressage tendu
			fdb	#InterSeconde	;Adresse sous programme d'inter
	
			end		;Fin du programme
