;"Deco7seg"     Sous programme de dcodage Hexa <==> 7 segments          JC
* 	La donne Hexa  dcoder se trouve dans la variable Tmp 
*	La donne dcode 7 segments se trouve au retour dans la variable Tmp
***************************************************************************
;Equivalences
Ltab7seg       	equ   32		;Longueur de la table dcodage 7 segments

;Programme
Deco7seg		pshx			;Sauvegarde des registres x et b	
        		pshb
	
			ldab	#Ltab7seg	;Longueur de la table 
			ldx	#Tab7seg-2
Bouc7seg		ldaa	Ltab7seg,X	;Valeur de la table pointe par X
			cmpa	<Tmp		;Comparaison entre table et donne Hexa
			beq	Trou7seg	;Si galit : Valeur trouve
			dex
			dex
			decb
			decb
			bne	Bouc7seg	;Si pas fin de table : continuer
Trou7seg		ldaa	Ltab7seg+1,X;Prendre le caractre dans la table 
			staa	<Tmp		;La donne 7 segments est stocke 

			pulb			;Restauration des registres x et b
			pulx
			rts
			
;Table de dcodage Hexadcimal <--> 7 segments
Tab7seg		fcb	$0,%00111111	;	Segment=1 segment clair. 
			fcb	$1,%00000110	;	       a
			fcb	$2,%01011011	;	     ------
			fcb	$3,%01001111	;	    |      |
			fcb	$4,%01100110	;	  f |   g  | b
			fcb	$5,%01101101	;	     ------
			fcb	$6,%01111101	;	    |      |
			fcb	$7,%00000111	;	  e |      | c
			fcb	$8,%01111111	;	     ------
			fcb	$9,%01101111	;	        d
			fcb	$A,%01110111 
			fcb	$B,%01111100	;	PORTx		7 6 5 4 3 2 1 0 
			fcb	$C,%00111001	;	Segment	  g f e d c b a				
			fcb	$D,%01011110	;		
			fcb	$E,%01111001
			fcb	$F,%01110001
; Fin du sous programme 