; "Horloge"           Programme horloge (Heures, minutes)                JC
; Les secondes, minutes, heures sont gnre par le s.p. "InterHms"
; Deux compteurs /60 pour les secondes et les minutes, /24 pour l'heure
; PORTC pour le clavier PORTB,F pour l'affichage multiplex (carte HC11CAF)
; PORTA	affiche les secondes en binaire  (carte HC11ES)
; Clavier : colonnes : droite=Raz Secondes, gauche Regl. Minutes et Heures
***************************************************************************
;Equivalences
			include	RegPorts	;Registres des Ports

;Rservation des variables
			org	$0002	;Implantation des variables en RAM
DataAff1		rmb	1	;Variable hexa afficheur 1 (le plus  droite)
DataAff2		rmb	1	;Variable hexa afficheur 2 
DataAff3		rmb	1	;Variable hexa afficheur 3 
DataAff4		rmb	1	;Variable hexa afficheur 4 (le plus  gauche)
Bcd1		rmb	1	;Variable BCD units (conversion : Bin <==> BCD)
Bcd2		rmb	1	;Variable BCD dizaines 
Bcd3		rmb	1	;Variable BCD centaines 
Bcd4		rmb	1	;Variable BCD milliers 
Tmp			rmb	1	;Variable temporaire  tout faire
CtrInter		rmb	1	;Variable compteur d'interruptions
Secondes		rmb	1	;Variable des secondes
Minutes		rmb	1	;Variable des minutes
Heures		rmb	1	;Variable des heures

;Initialisation			
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;pile en RAM
			lda	#OC1I
			sta	TMSK1			;Autorisation locale de inter RTI  
			cli				;   //        globale     //
			clr 	Secondes		;Raz des variables
			clr	Minutes
			clr	Heures
			ldaa	#$F0	;PORTC : lignes en sortie et colonnes en entre
			staa	DDRC
			ldaa	#$0F			;PORTC : lignes  0
			staa	PORTC

			ldaa	#$FF			;PORTA en sortie
			staa	DDRA
						
;Programme principal				
Boucle		ldaa	<Secondes		;Secondes sur le PORTA 
			staa	PORTA
			ldaa	<Minutes		
			bsr	ConvBinBcd8		;Conversion de Bin <==> BCD
			ldaa	<Bcd1			;Ecriture des donnes d'affichage
			staa	<DataAff1
			ldaa	<Bcd2
			staa	<DataAff2
			ldaa	<Heures
			bsr	ConvBinBcd8		;Conversion de Bin <==> BCD
			ldaa	<Bcd1			;Ecriture des donnes d'affichage
			staa	<DataAff3
			ldaa	<Bcd2
			staa	<DataAff4
			bsr	AffMux		;Affichage multiplex	 
		
			ldaa	PORTC			;Lecture du PORTC 
			cmpa	#$07			;Touche appuye : Raz Secondes
			beq	RazSec
			cmpa	#$0D			;Touche appuye : Regl. Minutes 
			beq	RegMin
			cmpa	#$0E			;Touche appuye : Regl. Heures 
			beq	RegHr
			bra	Boucle		;Branchement en dbut de boucle 

RazSec		clr	Secondes		;Raz des Secondes
			bra	Boucle
			
RegMin		inc	Minutes		;Rglage des Minutes
			jsr 	Tp100ms
			ldaa	<Minutes
			cmpa	#60
			bhs	ClrMin
			bra	Boucle	
			
RegHr		inc	Heures		;Rglage des Heures
			jsr 	Tp100ms
			ldaa	<Heures
			cmpa	#24
			bhs	ClrHr
			bra	Boucle
			
ClrMin		clr	Minutes
			bra	Boucle

ClrHr		clr	Heures
			bra	Boucle		

; Appel des fichiers sous programme 
			include	ConvBinBcd8 ;Conversion Binaire BCD sur 8bits
			include	AffMux	;Affichage multiplex
			include	Deco7seg	;Dcodage 7 segments
			include	Tempos	;Temporisations
			include	InterHms;Inter. compteur secondes, min, Heures 
		
;Vecteurs d'inter
			org	RtiJmp		;Pseudo vecteur de l'inter RTI	
			fcb	$7E			;Code "jmp" adressage tendu
			fdb	#InterHms		;Adresse sous programme d'inter

			end		;Fin du programme
