;"SinusPB"     Programme gnrant une onde sinusoidale sur le PORTB      JC
;La tension sinusoidale est visible  la sortie VDAC (Carte HC11ES) 
***************************************************************************
;Equivalences
			include	RegPorts	;Adresse des quvalences registres

;Initialisations
			org	$0100			;Programme en RAM
			lds	#$c0			;pile en RAM
			
;Programme principal
Periode		ldx	#TableSinus		;Adresse de la table reg. index
BouclSinus	lda	0,x
			sta	PORTB			;PortB=Valeur table
			cpx	#TableSinus+127	;Si 127ieme valeur, alors 
			beq	Periode		;nouvelle priode (T~=3ms)
			inx				;Sinon valeur suivante
			bra	BouclSinus		;Branchement en dbut de boucle 
		
;Table sinus
TableSinus	fdb	$8086,$8D93,$999F,$A5AB,$B1B7,$BCC2,$C7CC,$D1D6
			fdb	$DADF,$E3E7,$EAED,$F1F3,$F6F8,$FAFC,$FDFE,$FFFF
			fdb	$FFFF,$FEFD,$FCFB,$F9F7,$F5F2,$EFEC,$E8E5,$E1DD
			fdb	$D8D3,$CFCA,$C4BF,$BAB4,$AEA8,$A29C,$9690,$8983
			fdb	$7D77,$706A,$645E,$5852,$4C46,$413C,$3631,$2D28
			fdb	$231F,$1B18,$1411,$0E0B,$0907,$0504,$0302,$0101
			fdb	$0101,$0203,$0406,$080A,$0D0F,$1316,$191D,$2126
			fdb	$2A2F,$3439,$3E44,$494F,$555B,$6167,$6D73,$7A80

			end				;Fin du programme

			

