; "VoltmetrePE0"            Programme mesurant la tension VPE0           JC
;Le voltmre affiche 256 points de mesure de VPE0 : de 0V  2,55V
;Remarque : la virgule n'est pas affiche
;PORTE PE0 pour la capture PORTB et PORTF pour l'affichage (Carte HC11CAF)
***************************************************************************
;Equivalences
			include	RegPorts	;Registres des Ports
ADCTL		equ	$1030
ADR1		equ	$1031
OPTION		equ	$1039
ADPU		equ	$80		;Bit d'activation de la pompe de charge
CCF			equ	$80		;Bit de fin de conversion

;Rservation des variables 
			org	$0002
DataAff1		rmb	1	;Variable hexa afficheur 1 (le plus  droite)
DataAff2		rmb	1	;Variable hexa afficheur 2 
DataAff3		rmb	1	;Variable hexa afficheur 3 
DataAff4		rmb	1	;Variable hexa afficheur 4 (le plus  gauche)
Bcd1		rmb	1	;Variable BCD units (conversion : Bin <==> BCD)
Bcd2		rmb	1	;Variable BCD dizaines 
Bcd3		rmb	1	;Variable BCD centaines 
Bcd4		rmb	1	;Variable BCD milliers 
Tmp			rmb	1	;Variable temporaire  tout faire

;Initialisation			
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;pile en RAM
			clr	DataAff4
			bset	OPTION,x $80	;Activation pompe de charge

;Programme principal	
Boucle		clr	ADCTL,x		;Ni multiplexage, ni balayage
FinConv		brclr	ADCTL,x,CCF,FinConv	;Conversion A/D
			ldaa	ADR1			;Lecture du rsultat de la conv.
			jsr	ConvBinBcd8		;Conversion de Bin <==> BCD
			ldaa	Bcd1			;Ecriture des donnes d'affichage
			staa	DataAff1
			ldaa	Bcd2
			staa	DataAff2
			ldaa	Bcd3
			staa	DataAff3

			jsr	AffMux		;Affichage multiplex
			bra	Boucle		;Rebouclage

;Appel des fichiers sous programmes
			include	ConvBinBcd8
			include	AffMux
			include	Deco7seg
						
			end				;Fin du programme
