; "Can"      Programme ralisant la conversion A/N sur PE0           
;Adressage index par le registre X 
;PORTE (PE0) pour la capture et PORTB pour l'affichage et la CNA (VDAC) 
;VDAC=VPE0. CNA\CAN : Quantum q=10mV, Pleine Echelle PE=2.55V(carte HC11ES)
;Equivalences
			include	RegPortsA1	;Registres des Ports
REGISTRES		equ	$1000		;Adresse de base des registres
ADCTL		equ	$30		;Registre ADCTL = REGISTRES+$30 		
ADR1		equ	$31		;Registre ADR1 = REGISTRES+$31 
OPTION		equ	$39		;Registre OPTION = REGISTRES+$39
CCF			equ	$80		;Bit de fin de conversion
;Initialisation			
			org	$0010		;Implantation du programme en RAM
			lds	#$c0		;Pile en RAM
			idiv			;Perte de temps on ne peut crire 
			idiv			;dans OPTION qu'aprs 64 coups d'Horloge
			ldx	#REGISTRES	;Adresse de base des registres en index			
			bset	OPTION,x $80	;Activation pompe de charge	
		
;Programme principal	
Boucle		clr	ADCTL,x		;Ni multiplexage, ni balayage 
FinConv		brclr	ADCTL,x CCF,FinConv	;Conversion A/D
			ldaa	ADR1,x
			staa	PORTB
			bra	Boucle
			end				;Fin du programme
	



