;"Relatif.asm" Initiation aux modes d'adressages.
; Adressage "Relatif".

;Equivalences
PORTB		equ	$1004		;format Hexadcimal
Max			equ	7		;Max du compteur:format dcimal	

;Implantation du programme en RAM 
			org	$0010		;Implantation du programme

;Initialisation
			lds	#$00C0	;Implantation de la pile en RAM
			clr	PORTB		;PORTB=0

;Programme principal
Boucle		bsr	Tp20ms	;Temporisation de comptage
			ldaa	PORTB		;PORTB=Max ?	
			cmpa	#Max		;Si PORTB=Max, alors Raz PORTB
			beq	RazPB		;Adressage relatif
			inc	PORTB		;Sinon PORTB=PORTB+1 puis retour
			bra	Boucle
			
RazPB		clr	PORTB		;PORTB=0 				
			bra	Boucle	;Rebouclage

;Appel des fichiers sous programmes			
			include 	Tempos	;Temporisations

			end			;Fin du prgramme
