;"AffMux"        Sous programme d'affichage multiplex                   JC
* 	    Les donnes Hexa  afficher sont les variables DataAff1,2,3,4            
*		Les ports utiliss sont : 
*		PORTB pour les segments
*		PORTF pour les commandes d'afficheurs       
***************************************************************************
;Equivalences
Aff1        	equ   1	;Commande de l'afficheur 1 (le plus  droite)
Aff2        	equ   2	;Commande de l'afficheur 2 
Aff3        	equ   4	;Commande de l'afficheur 3 
Aff4        	equ   8	;Commande de l'afficheur 4 (le plus  gauche)

;Programme
AffMux		pshx			;Sauvegarde des registres b et b	
         		pshb
         		
			lda	#Aff1		;Slection de l'afficheur 1 
			staa	PORTF		;(le plus  droite)
			ldaa	<DataAff1	;Rcupration de la donne  afficher 
			staa	<Tmp
			bsr	Deco7seg	;Dcodage 7 segments
			ldaa	<Tmp
			staa	PORTB
			bsr	TpMux
			clr	PORTB
			
			lda	#Aff2		;Pareil pour l'afficheur 2
			staa	PORTF
			ldaa	<DataAff2
			staa	<Tmp
			bsr	Deco7seg
			ldaa	<Tmp
			staa	PORTB
			bsr	TpMux
			clr	PORTB
			
			lda	#Aff3		;Pareil pour l'afficheur 3
			staa	PORTF
			ldaa	<DataAff3
			staa	<Tmp
			bsr	Deco7seg	
			ldaa	<Tmp
			staa	PORTB
			bsr	TpMux
			clr	PORTB
			
			lda	#Aff4		;Pareil pour l'afficheur 4
			staa	PORTF
			ldaa	<DataAff4
			staa	<Tmp
			bsr	Deco7seg	
			ldaa	<Tmp
			staa	PORTB
			bsr	TpMux
			clr	PORTB
			
			clr PORTF	
			pulb			;Restauration des registres x et b
			pulx
			rts			;Retour

;Tempo de multiplexage        
TpMux		pshx
			ldx	#1000		;Frquence de multiplexage
Tpx			dex
			bne	Tpx
			pulx
			rts
; Fin du sous programme
