; "CompSimple"      Programme comparateur de tension  1 seuil           JC
;PORTE (PE0) pour la capture et PORTB pour l'affichage    (carte HC11ES)
;VDAC=VPE0. CNA\CAN : Quantum q=10mV, Pleine Echelle PE=2.55V

;Equivalences
			include	RegPorts	;Registres des Ports 
Vseuil		equ	100			;Valeur du seuil : 1V (100x10mv=1V)

;Initialisations
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;Pile en RAM
			bset	OPTION,x ADPU	;Activation pompe de charge du CAN

;Programme principal	
Boucle		bsr	CanPE0		;Conversion A/N
			ldaa	ADR1			;lecture de la donne eq.  VPE0
			cmpa	#Vseuil		;Comparaison/seuil			bhi	VPE
			bhi	PORTBa1		;Si VPE0>Vseuil ; alors PORTB=1
			clr	PORTB			;Sinon PORTB=0
			bra 	Boucle
PORTBa1		ldaa	#$FF		
			staa	PORTB
			bra 	Boucle

;Appel du fichier sous programme
			include	CanPE0	;Conversion A/N sur PE0
			
			end				;Fin du programme
