; "Ctr10000PA0"      Programme compteur 10000 sur PA0                   JC
; On utilise l'indicateur "IC3F" du registre  de capture "TFLG1" du timer 
; qui passe  1  chaque front montant ou descendant de signal PA0
; Le registre d'index Y incrment  chaque fronts montants sur PA0
; La valeur 16 bits est convertie de BCD puis affiche (4 chiffres)
; PORTA pour la capture et PORTB,F pour l'affichage (cartes HC11ES et CAF)
***************************************************************************
;Equivalences
			include	RegPorts	;Registres des Ports
TIC3		equ	$1014
TCTL2		equ	$1021
TFLG1		equ	$1023
IC3F		equ	$01
CaptFront		equ	$01			;Capture sur le front montant

;Rservation des variables
			org	$0002	;Implantation des variables en RAM
Bcd1		rmb	1	;Variable Bcd des units
Bcd2		rmb	1	;Variable Bcd des dizaines 
Bcd3		rmb	1	;Variable Bcd des centaines 
Bcd4		rmb	1	;Variable Bcd des milliers
DataAff1		rmb	1	;Variable pour l'affichage des units
DataAff2		rmb	1	;Variable pour l'affichage des dizaines
DataAff3		rmb	1	;Variable pour l'affichage des centaines
DataAff4		rmb	1	;Variable pour l'affichage des milliers
Tmp			rmb	1	;Variable  tout faire		

;Initialisation			
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;pile en RAM
			clra	
			clrb
			xgdy				;Raz du registre Y
			
			ldaa	#CaptFront  	;Choix du front de capture 
			staa	TCTL2
Boucle		ldaa	#IC3F			;Raz du drapeau IC3F
			staa	TFLG1	
			
;Programme principal
			ldx	#TFLG1
Front		bsr	AffMux		;Affichage dans la boucle d'attente
			brclr	0,X,IC3F,Front 	;Attente du front 
			iny				;Incrmente Y
			xgdy				;Echange de Y avec D   
			bsr	ConvBinBcd16	;Conversion Binaire <==> BCD
			xgdy				;Echange de D avec Y  
			ldaa	<Bcd1			;Chargement des donnes d'affichage
			staa	<DataAff1			
			ldaa	<Bcd2
			staa	<DataAff2
			ldaa	<Bcd3
			staa	<DataAff3
			ldaa	<Bcd4
			staa	<DataAff4
			bsr	AffMux		;Affichage multiplex
			bra	Boucle		;Rebouclage 	

;Appel des fichiers sous programmes			
			include	ConvBinBcd16	
			include	AffMux
			include	Deco7seg
			
			end				;Fin du programme
			
