; "De"             Programme simulant le lancement d'un d              JC
;PORTC pour le clavier PORTB,F pour l'affichage (carte HC11CAF)
***************************************************************************
;Equivalences
 			include	RegPorts	;Registres des ports
Ctrmin		equ	1		;Valeur min du compteur du d
Ctrmax		equ	6		;Valeur max du compteur du d

;Rservation de la variable
			org	$0002		;Implantation des variables en RAM
Tmp			rmb	1		;Variable Temporaire pour Deco7seg			
De			rmb	1		;Variable compteur du De

;Initialisations
			org	$0100		;Implantation du programme en RAM
			lds	#$c0		;Pile en RAM
			ldaa	#Ctrmin	;D=1
			staa	<De
			
			ldaa	#$01
			staa	PORTF	;Uniquement le premier afficheur de valid
			
			ldaa	#$F0	;Initialisation du Clavier
			staa	DDRC	;PORTC : lignes en sortie et colonnes en entre
			ldaa	#$0F	;PORTC : lignes  0 
			staa	PORTC
			
;Programme principal
Boucle		ldaa	<De
			staa	<Tmp
			bsr	Deco7seg
			ldaa	<Tmp
			staa	PORTB
			bsr	Tp20ms	;
			ldaa	PORTC		;Lecture du PORTC (Clavier)
			cmpa	#$0F		;Si touche appuye alors nouveau lanc
			bne	LanceDe
			bra	Boucle	;Sinon on reboucle
			
LanceDe		inc	De		;De=De+1. Compteur 1,2,3,4,5,6 : 
			ldaa	<De
			cmpa	#Ctrmax	;Si De>6 alors De=1
			bhi	RaUn
			bra	Boucle	;Rebouclage

RaUn		ldaa	#Ctrmin	;De=1
			staa	<De
			bra	Boucle	;Rebouclage

;Appel des fichiers sous programmes		
			include	Deco7seg	;Dcodage 7 segments (Var. "Tmp")
			include	Tempos
			
			end				;Fin de programme