;"LecClav"        Sous programme de lecture du clavier                   JC
;		Le port utilis est le PORTC alternativement entre/sortie
;		les 4 bits de poids faible sont branchs aux colonnes 
;		les 4 bits de poids fort sont branchs aux lignes
;		Les lignes et les colones sont forces  1 par des R.     
;		En sortie de programme la donne est la variable "Clavier".  
***************************************************************************
;Equivalences
LgTbClav      	equ   32		;Longueur de la table clavier
NbTstApp		equ	1000		; Nb. boucles d'attentre d'appuie touche

;Programme
LecClav		pshx			;Sauvegarde des registres x et b
         		pshb
            
			ldaa	#$0F		;PC0, PC1, PC2, PC3 en sortie
			staa	DDRC		
			ldaa	#$F0
			staa	PORTC		;Mise  0 des colonnes

			ldab	#NbTstApp	;Init. de la boucle test appuie touche 
AttAppui		ldaa	PORTC		;lire les lignes 4, 5, 6, 7
			cmpa	#$F0		;Si touche appuye alors on poursuit   	
			bne	SuitePrg		;le programme  
			decb			
			bne	AttAppui	;Si non reboucle NbTstApp fois puis
			bra	SortPrg	;on sort du programme

SuitePrg		ldab	#LgTbClav	;Longueur de la table
			ldx	#TabClav-2	
BoucClav		ldaa	LgTbClav,X	;Valeur de la table pointe par X
			staa	PORTC		;Valeur mise vers le clavier
			cmpa	PORTC		;Compare  entre table et valeur
			beq	TrouVal	;Si galit alors touche trouve
			dex
			dex
			decb
			decb
			bne	BoucClav	;Sinon pas fin de table alors continuer

TrouVal		ldaa	LgTbClav+1,X;Prendre le caractre dans la table 
			staa	<Clavier	;Sauvegarde de la donne "Clavier"

SortPrg		pulb			;Restauration des registres x et b
			pulx
			rts			;Retour
			
;Table de dcodage  Lignes/Colonnes <--> Hexadcimal
TabClav		fcb	%11101110,$1		
			fcb	%11101101,$2	; La ligne ou la colonne est 
			fcb	%11101011,$3	; slectionne par un "0"
			fcb	%11100111,$C
			fcb	%11011110,$4	
			fcb	%11011101,$5	;  	Cablage du Clavier
			fcb	%11011011,$6	 
			fcb	%11010111,$D	;      Lignes         Colonnes
			fcb	%10111110,$7	;  PC7 PC6 PC5 PC4 PC3 PC2 PC1 PC0	 
			fcb	%10111101,$8	;   |   |   |   |   |   |   |   |
			fcb	%10111011,$9 	;   |   |   |    -  C   3   2   1
			fcb	%10110111,$E	;   |	  |    ------ D   6   5   4 
			fcb	%01111110,$A	;   |	   ---------- E   9   8   7	
			fcb	%01111101,$0	;    -------------- F   B   0   A
			fcb	%01111011,$B
			fcb	%01110111,$F	
; Fin du sous programme
