; "TdePA0"        Programme mesurant le priode sur PA0                   JC
; On utilise le registre de capture "TIC3"
; La premire capture de TIC3   lieu au front montant de PA0
; La deuxime capture de TIC3  lieu au front montant suivant de PA0
; L'cart entre les 2 captures reprsente valeur de T de PA0 
; T de PA0=cart/2 en us. 
; Le compteur free running est incrment toutes les 0.5us (Horloge uC)
; La valeur affiche est en 100ne de us, max 327. (T = cart/200)
; PortA pour la capture, PORTB, F pour l'affichage (carte HC11CAF)
***************************************************************************
;Equivalences
			include	RegPorts	;Registres des Ports
TIC3		equ	$1014
TCTL2		equ	$1021
TFLG1		equ	$1023
IC3F		equ	$01

;Rservation des variables
			org	$0002	;Implantation des variables en RAM
Periode		rmb	2
Bcd1		rmb	1	;Variable Bcd des units
Bcd2		rmb	1	;Variable Bcd des dizaines 
Bcd3		rmb	1	;Variable Bcd des centaines 
Bcd4		rmb	1	;Variable Bcd des milliers
DataAff1		rmb	1	;Variable pour l'affichage des units
DataAff2		rmb	1	;Variable pour l'affichage des dizaines
DataAff3		rmb	1	;Variable pour l'affichage des centaines
DataAff4		rmb	1	;Variable pour l'affichage des milliers
Tmp			rmb	1	;Variable  tout faire		

;Initialisation			
			org	$0100			;Implantation du programme en RAM
			lds	#$c0			;pile en RAM
				
			ldaa	#$01			;Front montant
			staa	TCTL2

Boucle		ldaa	#IC3F			;Raz du drapeau IC3F
			staa	TFLG1			;L'index pointe sur TFLG1
			ldx	#TFLG1
;Programme principal
Front1		;Bsr AffMux
			brclr	0,X,IC3F,Front1 	;Attente du front
			ldd	TIC3			;Lecture du registre de capture 3
			std	<Periode		;Mmorisation de la valeur
			ldaa	#IC3F			;Raz du drapeau IC3F
			staa	TFLG1
			
Front2		;bsr AffMux
			brclr	0,X,IC3F,Front2	;Attente du front
			ldd	TIC3
			subd	<Periode
			ldx	#200			;Pour avoir les 100ene de us
			idiv
			xgdx
			bsr	ConvBinBcd16	;Conversion Binaire <==> BCD
			ldaa	<Bcd1			;Chargement des donnes d'affichage
			staa	<DataAff1			
			ldaa	<Bcd2
			staa	<DataAff2
			ldaa	<Bcd3
			staa	<DataAff3
			ldaa	<Bcd4
			staa	<DataAff4
			bsr	AffMux		;Affichage multiplex
			bra	Boucle

;Appel des fichiers sous programmes
			include	ConvBinBcd16
			include	AffMux
			include	Deco7seg
			
			end				;Fin du programme
